# RouterStaticRule Class Reference

Inheritance diagram for RouterStaticRule:
[legend]

List of all members.

## Public Member Functions

| __construct ($route)
| match (HttpRequest $request)
| Matches a user submitted path with parts defined by a map.
| assembly (array $data=array(), $reset=false, $encode=false)

## Static Public Member Functions

static | create ($route)

## Protected Attributes

| $route = null

## Detailed Description

Definition at line 12 of file RouterStaticRule.class.php.

## Constructor & Destructor Documentation

RouterStaticRule::__construct | ( | $ | route | ) |

Definition at line 24 of file RouterStaticRule.class.php.

References $route.

## Member Function Documentation

RouterStaticRule::assembly | ( | array $ | data = `array()`,
|  | $ | reset = `false`,
|  | $ | encode = `false` |
| ) |  |  |

Implements RouterRule.

Definition at line 41 of file RouterStaticRule.class.php.

static RouterStaticRule::create | ( | $ | route | ) | `[static]`

Returns:
  RouterStaticRule

Definition at line 19 of file RouterStaticRule.class.php.

References $route.

RouterStaticRule::match | ( | HttpRequest $ | request | ) |

Matches a user submitted path with parts defined by a map.

Assigns and returns an array of variables on a successful match.

Returns:
  array An array of assigned values or empty array() on a mismatch

Implements RouterRule.

Definition at line 30 of file RouterStaticRule.class.php.

References RouterBaseRule::processPath().

Here is the call graph for this function:

## Member Data Documentation

RouterStaticRule::$route = null`[protected]`

Definition at line 14 of file RouterStaticRule.class.php.

Referenced by __construct(), and create().

The documentation for this class was generated from the following file:

- main/Utils/Routers/RouterStaticRule.class.php